Bug 211317 - UNC notation which works in konqueror not supported in krunner
Summary: UNC notation which works in konqueror not supported in krunner
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-21 11:48 UTC by Martin Koller
Modified: 2012-02-10 23:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2009-10-21 11:48:45 UTC
Version:           unknown (using 4.3.2 (KDE 4.3.2) "release 5", KDE:43 / openSUSE_11.1)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27.29-0.1-pae

When I enter an address in Windoze UNC format, e.g.
\\hostname\some\path\to\a\file.txt
this works fine in konqueror and is redirected into a
smb://hostname/some/path/to/a/file.txt URL.

In krunner this does not work (did work in minicli/KDE3).
Comment 1 Martin Koller 2012-01-29 16:20:16 UTC
still not working in 4.8.0
Comment 2 Martin Koller 2012-02-10 23:30:04 UTC
Git commit a476f1371fef251963b5b386f1a22e2df4b6426d by Martin Koller.
Committed on 11/02/2012 at 00:26.
Pushed by mkoller into branch 'master'.

make UNC path and other URLs work like in konqueror

M  +13   -81   plasma/generic/runners/locations/locationrunner.cpp

http://commits.kde.org/kde-workspace/a476f1371fef251963b5b386f1a22e2df4b6426d
Comment 3 Martin Koller 2012-02-10 23:32:16 UTC
Git commit 692e837c39e201020fde10c2c650f2d26e879d27 by Martin Koller.
Committed on 11/02/2012 at 00:26.
Pushed by mkoller into branch 'KDE/4.8'.

make UNC path and other URLs work like in konqueror

M  +13   -81   plasma/generic/runners/locations/locationrunner.cpp

http://commits.kde.org/kde-workspace/692e837c39e201020fde10c2c650f2d26e879d27